- ccache --zero-stats || true
- ccache --show-stats || true
after_script:
- # In case the install dir is being saved as artifacts, tar it up
- # so that symlinks and hardlinks aren't each packed separately in
- # the zip file.
- - if [ -d install ]; then
- tar -cf artifacts/install.tar install;
- fi
- export CCACHE_DIR="$PWD/ccache"
- ccache --show-stats
EXTRA_OPTION: >
-D osmesa=gallium
-D tools=all
- MESON_SHADERDB: "true"
BUILDTYPE: "debugoptimized"
+ script:
+ - .gitlab-ci/meson-build.sh
+ - .gitlab-ci/run-shader-db.sh
+ - .gitlab-ci/prepare-artifacts.sh
.meson-cross:
extends:
- .ci-deqp-artifacts
variables:
BUILDTYPE: "debugoptimized"
+ script:
+ - .gitlab-ci/meson-build.sh
+ - .gitlab-ci/prepare-artifacts.sh
# NOTE: Building SWR is 2x (yes two) times slower than all the other
# gallium drivers combined.
LC_ALL=C.UTF-8 ninja test
ninja install
cd ..
-
-if test -n "$MESON_SHADERDB"; then
- ./.gitlab-ci/run-shader-db.sh;
-fi
-
-# Delete 2MB of includes from artifacts.
-rm -rf install/include
-
-# Strip the drivers in the artifacts to cut 80% of the artifacts size.
-if [ -n "$CROSS" ]; then
- STRIP=`sed -n -E "s/strip\s*=\s*'(.*)'/\1/p" "$CROSS_FILE"`
- if [ -z "$STRIP" ]; then
- echo "Failed to find strip command in cross file"
- exit 1
- fi
-else
- STRIP="strip"
-fi
-find install -name \*.so -exec $STRIP {} \;
-
-# Test runs don't pull down the git tree, so put the dEQP helper
-# script and associated bits there.
-mkdir -p artifacts/
-cp -Rp .gitlab-ci/deqp* artifacts/
-# cp -Rp src/freedreno/ci/expected* artifacts/
--- /dev/null
+#!/bin/bash
+
+set -e
+set -o xtrace
+
+# Delete 2MB of includes from artifacts.
+rm -rf install/include
+
+# Strip the drivers in the artifacts to cut 80% of the artifacts size.
+if [ -n "$CROSS" ]; then
+ STRIP=`sed -n -E "s/strip\s*=\s*'(.*)'/\1/p" "$CROSS_FILE"`
+ if [ -z "$STRIP" ]; then
+ echo "Failed to find strip command in cross file"
+ exit 1
+ fi
+else
+ STRIP="strip"
+fi
+find install -name \*.so -exec $STRIP {} \;
+
+# Test runs don't pull down the git tree, so put the dEQP helper
+# script and associated bits there.
+mkdir -p artifacts/
+cp -Rp .gitlab-ci/deqp* artifacts/
+# cp -Rp src/freedreno/ci/expected* artifacts/
+
+# Tar up the install dir so that symlinks and hardlinks aren't each
+# packed separately in the zip file.
+tar -cf artifacts/install.tar install